Bug Hunting Session
Bug 55174 - Calc IMPORT: crash during opening of xlsx document [backtrace with symbols attached
Summary: Calc IMPORT: crash during opening of xlsx document [backtrace with symbols at...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.beta1
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.7.0 target:3.6.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-09-21 06:17 UTC by sasha.libreoffice
Modified: 2013-04-26 01:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
xlsx crash test case (164.84 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-09-21 06:17 UTC, sasha.libreoffice
Details
bt with symbols produced in self-compiled 3.6.1 on Fedora 64 bit (32.07 KB, text/plain)
2012-09-21 06:20 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-09-21 06:17:57 UTC
Created attachment 67473 [details]
xlsx crash test case

When I open xlsx file, LO crashes.
Reproduced in 3.6.1 on Fedora 64 bit
Not reproduced in 3.3.4 and 3.5.5, therefore regression

xlsx file produced by saving ods file from bug 51098 using LO 3.6.1
Comment 1 sasha.libreoffice 2012-09-21 06:20:54 UTC
Created attachment 67474 [details]
bt with symbols produced in self-compiled 3.6.1 on Fedora 64 bit
Comment 2 sasha.libreoffice 2012-09-21 06:26:20 UTC
@ Eike
Greetings
What do You think about this bug?
Comment 4 sasha.libreoffice 2012-09-22 06:10:59 UTC
> could you give a try to the daily building
No. I will wait until 3.6.2 release. Sorry.
Comment 5 Julien Nabet 2012-09-22 06:18:21 UTC
No pb. I put the tracker to NEEDINFO.
Keep us informed!
Comment 6 Markus Mohrhard 2012-09-28 18:52:56 UTC
Noel's patch can of course not fix this crash. I'm taking this one.
Comment 7 Not Assigned 2012-09-28 19:07:00 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3a24e566eccd7b20b893ede1b17e64e38b29be9

vba procedures and macro names will result in crash, fdo#55174



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 sasha.libreoffice 2012-09-29 06:08:25 UTC
Thanks for fixing this bug
Comment 9 Not Assigned 2012-10-01 08:34:02 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=115add85ea9e16623a3580e3343499d0ff444a45&g=libreoffice-3-6

vba procedures and macro names will result in crash, fdo#55174


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Joel Madero 2013-04-26 01:16:12 UTC
As part of our regular FDO management we are going back and checking regression versions to see earliest version we can confirm problem. I have been able to confirm this regression on:

Version 3.6.0.0.beta1

Changing version to reflect this